using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp21
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            Console.WriteLine(n * 3);
            int k = -1000000000 ;
            for (int i = 0; i < n; i++)
            {
                Console.WriteLine(i + " " + (k+1));
                Console.WriteLine(i + " " + (k + 2));
                Console.WriteLine(i + " " + (k + 3));
                k = k + 3;
            }
        }
    }
}